%define release	%mkrel 2
%define name    gtk-xfce-engine
%define version	3.2.0

Summary: 	Allow GTK to use xfce widget styles
Summary(de):	Erlaubt es GTK Xfce Widget Stile zu nutzen
Name: 		%{name}
Version: 	%{version}
Release: 	%release
License: 	GPL
Group: 		Graphical desktop/Xfce
URL: 		http://www.xfce.org/
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  pkgconfig
BuildRequires:	cairo-devel
BuildRequires:	%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel
BuildRequires:	gtk+3-devel
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.20
Requires:	libstdc++6 >= 4.5.2


%description
This package provides the Xfce Gtk+-2.0 and Gtk+-3.0 engine, which allows for homogeneity
in applications for both business and personal desktops. Minimum required
Gtk+ version is currently Gtk+-2.2.0.

%description -l de
Dieses Paket bietet die Xfce Gtk+-2.0 und die Gtk+-3.0 Engine, die Homogenität in Anwendungen 
für Geschäfts- und persönliche Desktops ermöglicht. Mindestens erforderlich Gtk+ 
Version ist derzeit GTK + -2.2.0.
 
%package doc
Summary: 	Documentation for %{name}
Summary(de):	Dokumentation für %{name}
Group: 		Documentation
Requires: 	%{name}

%description doc
Documentation for %{name}

%description doc -l de
Dokumentation für %{name}

%prep

%setup -q

%build
./autogen.sh
%configure2_5x --enable-gtk3
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_libdir}/gtk-2.0/2.*.0/engines/libxfce.*
%{_libdir}/gtk-3.0/3.0.0/theming-engines/libxfce.so
%{_datadir}/themes/Xfce*

%files doc
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README

%changelog
* Sat Jun 03 2017 threepio <threepio> 3.2.0-2uplos2017
- rebuild for uplos


* Sat Mar 14 2015 ghostbunny <ghostbunny at gmx dot de> 3.2.0-2pclos2015
- reenable gtk3 because some apps are already gtk3 only

* Mon Mar 02 2015 ghostbunny <ghostbunny at gmx dot de> 3.2.0-1pclos2015
- 3.2.0

* Sat Feb 21 2015 ghostbunny <ghostbunny at gmx dot de> 3.1.0-1pclos2015
- 3.1.0
- add missing BRs cairo-devel, libgdk_pixbuf2.0_0-devel, glib2-devel, gtk2-devel
- disable gtk3 engine because gtk3 is not fully supported by xfce4 itself

* Tue Oct 16 2012 Neal <nealbrks0 at gmail dot com> 3.0.1-1pclos2012
- process

* Mon Oct 15 2012 ghostbunny <ghostbunny at gmx dot de> 3.0.1-1pclos2012
- 3.0.1
- commented %{_libdir}/gtk-3.0/3.0.0/theming-engines/libxfce.so does not exist after build

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 3.0.0-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 3.0.0-1pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 3.0.0-1pclos2012
- 3.0.0
- added german summaries and descriptions
- fixed english summary of the doc package ("Documentation for openbox"??? -> "Documentation for %{name}")

* Thu Jan 19 2012 Neal <nealbrks0 at gmail.com> 2.99.0-1pclos2012
- process

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 2.99.0-1pclos2012
- update

* Sun Apr 17 2011 Texstar <texstar at gmail.com> 2.8.1-1pclos2011
- 2.8.1

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 2.8.0-1pclos2011
- update for xfce4.8

* Tue Nov 09 2010 Sproggy <desproggster at gmail.com> 2.6.0-3pclos2010
- 2.6.0 up for xfce 4.8pre1

* Sun May 23 2010 Texstar <texstar at gmail.com> 2.6.0-1pclos2010
- 2.6.0
- trim spec file

